ฉันกำลังพยายามตั้งค่าสภาพแวดล้อมของผู้ปฏิบัติงานบีนส์ทอล์คแบบยืดหยุ่น แต่หนึ่งในแพ็กเกจในไฟล์ requirements.txt ของโปรเจ็กต์มาจากเซิร์ฟเวอร์ pypi ส่วนตัวที่ฉันตั้งค่าไว้บน EC2

ฉันสามารถรับแพ็คเกจที่กำหนดเองนี้เพื่อติดตั้งบนบรรทัดคำสั่งในเครื่องของฉันโดยรวม --trusted-host= --extra-index-url= บนคำสั่ง pip install แต่ดูเหมือนว่า requirements.txt ไม่รองรับตัวเลือก --trusted-host (ในเวอร์ชัน 8 แต่อินสแตนซ์ใช้เวอร์ชัน 7 บางอย่างและฉันไม่สามารถหาวิธีเปลี่ยนได้)

ฉันพยายามตั้งค่าไฟล์ pip.conf โดยเพิ่มไฟล์นี้ลงในไฟล์ .config ไฟล์ใดไฟล์หนึ่งของฉัน:

files:
"/home/ec2-user/.config/pip/pip.conf":
    mode: "000755"
    owner: root
    group: root
    content: |
      [global]
      extra-index-url = <url>
      trusted-host = <host>

แต่ก็ยังไม่ทำงาน บันทึกกำลังบอกฉันว่าไม่พบแพ็คเกจของฉัน ฉันควรจะติดตั้งแพ็คเกจนี้ได้อย่างไร?

answer

คุณจะต้องเพิ่ม pip.conf ในสภาพแวดล้อมเสมือนสำหรับแอปพลิเคชัน ซึ่งควรเป็นอย่างอื่น"/opt/python/run/venv/pip.conf"แทน"/home/ec2-user/.config/pip/pip.conf".

ฉันเพิ่งมีปัญหาเดียวกันและแก้ไขด้วยวิธีนี้:

ในไฟล์ของคุณ.ebextensions/python.config(หรือชื่ออะไรก็ตามที่คุณใช้สำหรับไฟล์ปรับแต่งของคุณภายในโฟลเดอร์ .ebextensions) ในแหล่งที่มาของแอป คุณสามารถระบุว่าคุณต้องการติดตั้ง git หรือไม่:

packages:
  yum:
    git: []

หวังว่ามันจะช่วย!